Subject: bug#68183: 28.3; vc-dir fails when I have a certain branch checked out

From: Kévin Le Gouguec <[email-masked]>
Date: Thu, 29 Aug 2024 16:36:28 +0100

Eli Zaretskii <[email-masked]> writes:

>> +---
>> +*** VC Directory buffers now display the upstream branch in Git repositories.
>> +The "upstream branch" is the branch 'vc-pull' fetches changes from by
>> +default.  In Git terms, the upstream branch of branch B is determined by
>> +configuration variables branch.B.remote and branch.B.merge.
>
> That's okay, with the following nit: I find phrases like "the branch
> 'vc-pull' fetches changes from by default" hard to grasp.  I prefer
> rephrasing to make the grammar simpler:
>
>   The "upstream branch" is the branch from which 'vc-pull' fetches
>   changes by default.

ACK; got the attached at the tip of my emacs-30 branch, and my finger
over the 'git push' button.  Let me know if it's time to 'C-x v P'.
(And mark this bug "done", since I believe this was the last loose end?)

(Prefer asking since I let a week fly by, on the off chance that the
release branch might have reached a "hands off ✋" stage)

>From 39ae8a21b342acf7d60945db4d36dcabb52385e7 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?K=C3=A9vin=20Le=20Gouguec?= <[email-masked]>
Date: Thu, 22 Aug 2024 08:34:03 +0200
Subject: [PATCH] ; * etc/NEWS: Announce VC-dir "Tracking" header. (bug#68183)

---
 etc/NEWS | 10 ++++++++++
 1 file changed, 10 insertions(+)

diff --git a/etc/NEWS b/etc/NEWS
index 98eca7b8061..9cf41188868 100644
--- a/etc/NEWS
+++ b/etc/NEWS
@@ -1017,6 +1017,16 @@ behavior, set user option 'vc-annotate-use-short-revision' to nil.
 *** New user option 'vc-git-file-name-changes-switches'.
 It allows tweaking the thresholds for rename and copy detection.
 
+---
+*** VC Directory buffers now display the upstream branch in Git repositories.
+The "upstream branch" is the branch from which 'vc-pull' fetches changes
+by default.  In Git terms, the upstream branch of branch B is determined
+by configuration variables branch.B.remote and branch.B.merge.
+
+When these configuration variables are set for the current branch, the
+VC Directory buffer will show the corresponding upstream branch under
+the "Tracking" header.
+
 ** Diff mode
 
 ---
-- 
2.39.2